complexType "CancelableProvision"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | exercise?, initialFee?
</...>

Content Model Elements (2):

  exercise, initialFee

All Direct / Indirect Based Elements (1):

  cancelableProvision

Known Usage Locations

- As direct type of elements (1):
  cancelableProvision

Annotation
A type defining the right of a party to cancel a swap transaction on the specified exercise dates. The provision is for 'walkaway' cancellation (i.e. the fair value of the swap is not paid). A fee payable on exercise can be specified.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CancelableProvision"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element minOccurs="0" ref="exercise"/> <!--View Generation: SKIPPED exerciseNotice - Documentation--> <!--View Generation: SKIPPED followUpConfirmation - Documentation--> <!--View Generation: SKIPPED cancelableProvisionAdjustedDates - DateAdjustments--> <!--View Generation: SKIPPED finalCalculationPeriodDateAdjustment - DateAdjustments--> <xsd:element minOccurs="0" name="initialFee" type="SimplePayment"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
exercise

  Type: | Exercise, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 3 elements

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="exercise"/>

initialFee

  Type: | SimplePayment, complex content

  An initial fee for the cancelable option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialFee" type="SimplePayment"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.